/* Global popup styles */
html {
    overflow: auto !important;
}
html body:has(div.global-popup) {
    overflow: unset !important;
    position: relative !important;
    top: unset !important;
}
div.ui-widget-overlay {
	display: none;
}
.ui-dialog .ui-widget-content.ui-dialog-content {
    overflow: auto !important;
}
div.ui-dialog.global-popup {
  	margin-right: 0;
  	margin-bottom: 90px;
    border: 1px solid #c5c5c5 !important;
    overflow: visible;
    max-width: 100% !important;
    right: 20px !important;
    left: unset !important;
    top: unset !important;
    bottom: 0 !important;
    border-radius: 8px;
    box-shadow: 0px 0px 14px 0px #a8a5a5;
}
@media only screen and (min-width: 768px) {
    div.ui-dialog.global-popup {
        margin-bottom: 20px;
    }
}
div.global-popup .ui-dialog-titlebar {
    background: none;
    padding-top: 10px;
    padding-left: 35px;
    padding-bottom: 0;
    height: 25px;
    position: absolute;
    top: 18px;
    right: 4px;
    z-index: 101;
    border: none;
}
div.global-popup .ui-dialog-titlebar span#ui-id-1 {
    display: none;
}
div.global-popup .ui-dialog-titlebar button {
    border: none !important;
    inline-size: 50px !important;
    background: none !important;
}
div.global-popup .ui-dialog-titlebar button span {
    //background: black !important;
}
div.global-popup #drupal-modal article .node__content .layout--onecol {
    padding: 0 !important;
}
div.global-popup #drupal-modal article .node__content .layout--onecol .layout__region--content {
    padding: 0 !important;
}
/* Button styles */
#survey-float-button {
    margin: 0;
    padding: 10px 20px;
    border: 2px solid black;
    border-radius: 8px;
    background: #F8F8F8;
    z-index: 50;
    position: fixed;
    bottom: 20px;
    right: 20px;
}
@media screen and (min-width: 768px) {
    #survey-float-button {
        display: none;
    }
}
/* Webform styles */
form.webform-submission-pop-up-survey-form-form .messages-list .messages-list__item.messages.messages--error {
    display: none;
}
form.webform-submission-pop-up-survey-form-form {
    padding-left: 20px;
}
form.webform-submission-pop-up-survey-form-form:has(.webform-confirmation__message) {
    padding: 0;
}
div.global-popup #drupal-modal:has(.webform-confirmation__message) {
    display: flex;
    align-items: center;
    justify-content: center;
}
form.webform-submission-pop-up-survey-form-form .webform-confirmation__message {
    text-align: center;
    width: 100%;
    display: block;
}
form.webform-submission-pop-up-survey-form-form .js-form-item-title {
    color: #eb8200;
    font-size: 24px;
    font-weight: bold;
}
form.webform-submission-pop-up-survey-form-form fieldset {
    border: none;
    padding-bottom: 0;
    padding-top: 5px;
}
form.webform-submission-pop-up-survey-form-form fieldset legend span {
    box-shadow: none;
    font-size: 16px !important;
}
form.webform-submission-pop-up-survey-form-form fieldset .fieldset-wrapper {
    padding-top: 20px;
}
form.webform-submission-pop-up-survey-form-form fieldset .fieldset-wrapper label {
    font-size: 14px !important;
}
form.webform-submission-pop-up-survey-form-form .form-actions {
    margin: 10px 0 15px !important;
}
form.webform-submission-pop-up-survey-form-form .form-actions .webform-button--submit {
    background: #00a0be;
    border-color: #00a0be;
    color: white;
}


/* Webform mobile button styles */
body.user-logged-in form.webform-submission-pop-up-survey-form-form .form-type-webform-markup:has(#mob-button) {
    bottom: -125px;
    right: -25px;
}
body.user-logged-in div.global-popup .ui-dialog-titlebar button span {
    background: black !important;
}
form.webform-submission-pop-up-survey-form-form .form-type-webform-markup:has(#mob-button) {
    position: absolute;
    bottom: -102px;
    right: -1px;
    cursor: pointer;
    display: none;
}
form.webform-submission-pop-up-survey-form-form #mob-button {
    margin: 0;
    padding: 10px 20px;
    border: 2px solid black;
    border-radius: 8px;
    background: #F8F8F8;
    z-index: 51;
}
@media screen and (min-width: 768px) {
    form.webform-submission-pop-up-survey-form-form #mob-button {
        display: none;
    }
}
#mob-button-ext {
    position: fixed;
    bottom: 24px;
    right: 23px;
    margin: 0;
    padding: 10px 20px;
    border: 2px solid black;
    border-radius: 8px;
    background: #F8F8F8;
    z-index: 50;  
    font-family: Arial, Helvetica, sans-serif;
}
@media screen and (min-width: 768px) {
    #mob-button-ext {
        display: none;
    }
}
#mob-button-ext.hide {
	display: none !important;
}

/* Webform thank you message styles */
form.webform-submission-pop-up-survey-form-form .webform-confirmation .webform-confirmation__message {
    background: none;
    box-shadow: none;
    color: inherit;
}
form.webform-submission-pop-up-survey-form-form .webform-confirmation .webform-confirmation__message .material-icons-outlined {
    display: none;
}

/* Webform thank you message styles */
body.hide-button #mob-button,
body.hide-button #mob-button-ext {
    display: none !important;
}
body div.global-popup.hide {
	display: none !important;
}

/* Class which hide survey popup if added to body */
body div.global-popup {
    display: block !important;
}
body.hidden-survey div.global-popup,
body.hidden-survey #mob-button-ext {
    display: none !important;
}